User:Hef/ispc on rpi2

From Pumping Station: One Wiki
< User:Hef
Revision as of 20:42, 24 March 2015 by Hef (talk | contribs)
Jump to: navigation, search

gcc 4.6 both won't compile latest llvm/clang and will generate an ICE on older versions of clang.

<syntaxHighlight lang=bash> sudo apt-get install cmake gcc-4.8 g++-4.8 </syntaxHighlight>

<syntaxHighlight lang=bash> git clone git://github.com/martine/ninja.git cd ninja git checkout release ./configure.py --bootstrap sudo cp ninja /usr/local/bin/ninja </syntaxHighlight>

<syntaxHighlight lang=bash> cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_C_COMPILER=/usr/bin/gcc-4.8 -DCMAKE_CXX_COMPILER=/usr/bin/g++-4.8 </syntaxHighlight>